// src/App.js
import React, { useState, useEffect } from 'react';
import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import { useParams } from 'react-router-dom';
import Login from './components/Login';
import Boxes from './components/Boxes';
import Items from './components/Items';
import Navbar from './components/Navbar';  // Correct import here
import './styles.css'

function App() {
  const [token, setToken] = useState(localStorage.getItem('token'));
  useEffect(() => {
    if (token) {
      localStorage.setItem('token', token);
    }
  }, [token]);
  return (
    <Router>
      <Navbar />
      <Routes>
        <Route path="/login" element={<Login setToken={setToken} />} />
        <Route path="/boxes" element={<Boxes token={token} />} />
        <Route path="/items" element={<Items token={token} />} />
        <Route path="/boxes/:id/items" element={<Items box_id={useParams().id} token={token} />} />
      </Routes>
    </Router>
  );
}

export default App;